Package org.jbpm.services.api.model

## Interface NodeInstanceDesc

- All Known Implementing Classes:
    `NodeInstanceDesc`

      public interface NodeInstanceDesc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getConnection()` | Returns the node instance connection.
    `Date` | `getDataTimeStamp()` | Returns the node instance timestamp.
    `String` | `getDeploymentId()` | Returns the node instance deployment id.
    `Long` | `getId()` | Returns the node instance id.
    `String` | `getName()` | Returns the node instance name.
    `String` | `getNodeContainerId()` | Returns the node instance container id.
    `String` | `getNodeId()` | Returns the node instance node id.
    `String` | `getNodeType()` | Returns the node instance node type.
    `Long` | `getProcessInstanceId()` | Returns the process instance id.
    `Long` | `getReferenceId()` | Returns the node instance reference id.
    `Integer` | `getSlaCompliance()` | Returns the node instance SLA complience.
    `Date` | `getSlaDueDate()` | Returns the node instance SLA due date.
    `Long` | `getWorkItemId()` | Returns the node instance workitem id.
    `boolean` | `isCompleted()` | Returns the node instance completion.

- - ### Method Detail

    - #### getId

          Long getId()

      Returns the node instance id.
      Returns:
        id

    - #### getName

          String getName()

      Returns the node instance name.
      Returns:
        name

    - #### getDeploymentId

          String getDeploymentId()

      Returns the node instance deployment id.
      Returns:
        deployment id

    - #### getProcessInstanceId

          Long getProcessInstanceId()

      Returns the process instance id.
      Returns:
        process instance id

    - #### getDataTimeStamp

          Date getDataTimeStamp()

      Returns the node instance timestamp.
      Returns:
        timestamp

    - #### getNodeType

          String getNodeType()

      Returns the node instance node type.
      Returns:
        node type

    - #### getNodeId

          String getNodeId()

      Returns the node instance node id.
      Returns:
        node id

    - #### isCompleted

          boolean isCompleted()

      Returns the node instance completion.
      Returns:
        completion

    - #### getConnection

          String getConnection()

      Returns the node instance connection.
      Returns:
        connection

    - #### getWorkItemId

          Long getWorkItemId()

      Returns the node instance workitem id.
      Returns:
        workitem id

    - #### getReferenceId

          Long getReferenceId()

      Returns the node instance reference id.
      Returns:
        reference id

    - #### getNodeContainerId

          String getNodeContainerId()

      Returns the node instance container id.
      Returns:
        container id

    - #### getSlaDueDate

          Date getSlaDueDate()

      Returns the node instance SLA due date.
      Returns:
        SLA due date

    - #### getSlaCompliance

          Integer getSlaCompliance()

      Returns the node instance SLA complience.
      Returns:
        SLA compliance